<?php
/*
*
* JetBackup @ package
* Created By Idan Ben-Ezra
*
* Copyrights @ JetApps
* https://www.jetapps.com
*
**/

class Modules_JetBackup5_SystemServices extends pm_Hook_SystemServices {
	public function getServices() {
		return [
			//new Modules_JetBackup5_Service()
			new class extends pm_SystemService_Service {
				public function getName() { return 'JetBackup 5'; }
				public function getId () { return 'ext-jetbackup5-jetbackupd'; }
				public function onStart() {
					$result = pm_ApiCli::callSbin('jetbackupd', ['start']);
					if ($result['code'] !== 0) throw new pm_Exception ('Error occurred when starting JetBackup 5 service.');
				}
				public function onStop() {
					$result = pm_ApiCli::callSbin('jetbackupd', ['stop']);
					if ($result['code'] !== 0) throw new pm_Exception ('Error occurred when stopping JetBackup 5 service.');
				}
				public function onRestart() {
					$result = pm_ApiCli::callSbin('jetbackupd', ['restart']);
					if ($result['code'] !== 0) throw new pm_Exception ('Error occurred when restarting JetBackup 5 service.');
				}
				public function isRunning() {
					$result = pm_ApiCli::callSbin('jetbackupd', ['status']);
					return $result['code'] == 0;
				}
			},
			new class extends pm_SystemService_Service {
				public function getName() { return 'JetMongo'; }
				public function getId () { return 'ext-jetbackup5-jetmongod'; }
				public function onStart() {
					$result = pm_ApiCli::callSbin('jetmongod', ['start']);
					if ($result['code'] !== 0) throw new pm_Exception ('Error occurred when starting JetMongo service.');
				}
				public function onStop() {
					$result = pm_ApiCli::callSbin('jetmongod', ['stop']);
					if ($result['code'] !== 0) throw new pm_Exception ('Error occurred when stopping JetMongo service.');
				}
				public function onRestart() {
					$result = pm_ApiCli::callSbin('jetmongod', ['restart']);
					if ($result['code'] !== 0) throw new pm_Exception ('Error occurred when restarting JetMongo service.');
				}
				public function isRunning() {
					$result = pm_ApiCli::callSbin('jetmongod', ['status']);
					return $result['code'] == 0;
				}
			},
		];
	}
}